# Interface IEndpointCallParameters

Parameters that can be used when calling an EndpointCaller

## Index

### Properties

- errorsAsSuccess
- method
- queryString
- requestData
- requestDataType
- responseType
- url

## Properties

### errorsAsSuccess

errorsAsSuccess: boolean

- Defined in rest/EndpointCaller.ts :53

Flag to specify if the endpoint should return different type of error as actual 200 success for the browser, but with the error code/message contained in the response.

### method

method: string

- Defined in rest/EndpointCaller.ts :44

Or HTTP verb : GET, POST, PUT, etc.

### queryString

queryString: string[]

- Defined in rest/EndpointCaller.ts :30

Array of query string params.
eg: ['foo=1','bar=2']

### requestData

requestData: IStringMap<any>

- Defined in rest/EndpointCaller.ts :35

Body of the request.
key -> value map (JSON)

### Optional requestDataType

requestDataType: string

- Defined in rest/EndpointCaller.ts :40

Request data type.
eg: "application/json", "application/x-www-form-urlencoded; charset=UTF-8"

### responseType

responseType: string

- Defined in rest/EndpointCaller.ts :49

responseType of the request. eg: "text", "arraybuffer" etc.

### url

url: string

- Defined in rest/EndpointCaller.ts :25

Url to target

### Hierarchy

- IEndpointCallParameters